Bug 1088658 - Intel wlan 3160 does not work on kernel 4.16
Intel wlan 3160 does not work on kernel 4.16
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-09 11:12 UTC by Manfred Hollstein
Modified: 2018-04-15 17:04 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Full dmesg output (76.20 KB, text/x-log)
2018-04-09 11:35 UTC, Manfred Hollstein
Details
Fix patch (1.31 KB, patch)
2018-04-10 11:32 UTC, Takashi Iwai
Details | Diff
Full dmesg (bogus) (74.86 KB, text/plain)
2018-04-15 16:42 UTC, Bruno Friedmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manfred Hollstein 2018-04-09 11:12:55 UTC
My Intel wlan device 3160 (rev 83) on a Kaby Lake chipset used to work
properly up to kernel version 4.15.*

On 4.16 loading the "iwlwifi" driver fails with the following:

  iwlwifi 0000:06:00.0: hwdev DMA mask = 0x0000000fffffffff, dev_addr = 0x0000000079d83000
  iwlwifi 0000:06:00.0: swiotlb: coherent allocation failed, size=4096
   iwl_pcie_alloc_ict+0x7c/0xf0 [iwlwifi]
   iwl_trans_pcie_alloc+0x7c4/0xc70 [iwlwifi]
   iwl_pci_probe+0x18/0x1b0 [iwlwifi]
   iwl_pci_register_driver+0x20/0x40 [iwlwifi]
  iwlwifi: probe of 0000:06:00.0 failed with error -12

I found some messages in the internet describing that unloading the
driver, followed by a modprobe worked for some people around rc1 time.
When I try this, I get the call trace below, and the hardware still does not
work.

FWIW, this is with 4.16.0-3.g2592f12-default from Kernel:stable

Here is the call trace after running the following commands:

# rmmod iwlwifi cfg80211
# modprobe iwlwifi
Apr 09 12:20:09 saturn kernel: cfg80211: Loading compiled-in X.509 certificates for regulatory database
Apr 09 12:20:09 saturn kernel: cfg80211: Loaded X.509 cert 'sforshee: 00b28ddf47aef9cea7'
Apr 09 12:20:09 saturn kernel: Intel(R) Wireless WiFi driver for Linux
Apr 09 12:20:09 saturn kernel: Copyright(c) 2003- 2015 Intel Corporation
Apr 09 12:20:09 saturn kernel: iwlwifi 0000:06:00.0: loaded firmware version 17.608620.0 op_mode iwlmvm
Apr 09 12:20:09 saturn kernel: iwlwifi 0000:06:00.0: Detected Intel(R) Dual Band Wireless AC 3160, REV=0x164
Apr 09 12:20:09 saturn kernel: iwlwifi 0000:06:00.0: hwdev DMA mask = 0x0000000fffffffff, dev_addr = 0x0000000079db6000
Apr 09 12:20:09 saturn kernel: iwlwifi 0000:06:00.0: swiotlb: coherent allocation failed, size=1024
Apr 09 12:20:09 saturn kernel: CPU: 2 PID: 8521 Comm: modprobe Not tainted 4.16.0-3.g2592f12-default #1 openSUSE Tumbleweed (unreleased)
Apr 09 12:20:09 saturn kernel: Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./Z270 Taichi, BIOS P2.10 05/09/2017
Apr 09 12:20:09 saturn kernel: Call Trace:
Apr 09 12:20:09 saturn kernel:  dump_stack+0x85/0xc5
Apr 09 12:20:09 saturn kernel:  swiotlb_alloc_coherent+0x1b6/0x1d0
Apr 09 12:20:09 saturn kernel:  _iwl_pcie_rx_init+0x35b/0x750 [iwlwifi]
Apr 09 12:20:09 saturn kernel:  ? iwl_poll_bit+0x4a/0x80 [iwlwifi]
Apr 09 12:20:09 saturn kernel:  iwl_pcie_rx_init+0x1b/0x3a0 [iwlwifi]
Apr 09 12:20:09 saturn kernel:  iwl_trans_pcie_start_fw+0x26a/0x680 [iwlwifi]
Apr 09 12:20:09 saturn kernel:  iwl_mvm_load_ucode_wait_alive+0xc7/0x270 [iwlmvm]
Apr 09 12:20:09 saturn kernel:  ? 0xffffffffc128e000
Apr 09 12:20:09 saturn kernel:  ? iwl_run_init_mvm_ucode+0x7f/0x300 [iwlmvm]
Apr 09 12:20:09 saturn kernel:  iwl_run_init_mvm_ucode+0x7f/0x300 [iwlmvm]
Apr 09 12:20:09 saturn kernel:  ? iwl_wait_init_complete+0x20/0x20 [iwlmvm]
Apr 09 12:20:09 saturn kernel:  ? iwl_op_mode_mvm_start+0x62d/0x8f0 [iwlmvm]
Apr 09 12:20:09 saturn kernel:  iwl_op_mode_mvm_start+0x62d/0x8f0 [iwlmvm]
Apr 09 12:20:09 saturn kernel:  _iwl_op_mode_start.isra.11+0x47/0xa0 [iwlwifi]
Apr 09 12:20:09 saturn kernel:  iwl_opmode_register+0x6f/0xe0 [iwlwifi]
Apr 09 12:20:09 saturn kernel:  ? 0xffffffffc0a5d000
Apr 09 12:20:09 saturn kernel:  iwl_mvm_init+0x34/0x1000 [iwlmvm]
Apr 09 12:20:09 saturn kernel:  do_one_initcall+0x4e/0x192
Apr 09 12:20:09 saturn kernel:  ? __vunmap+0x6d/0xb0
Apr 09 12:20:09 saturn kernel:  do_init_module+0x5b/0x20a
Apr 09 12:20:09 saturn kernel:  load_module+0x19ad/0x1f30
Apr 09 12:20:09 saturn kernel:  ? SYSC_finit_module+0xb7/0xd0
Apr 09 12:20:09 saturn kernel:  SYSC_finit_module+0xb7/0xd0
Apr 09 12:20:09 saturn kernel:  do_syscall_64+0x76/0x140
Apr 09 12:20:09 saturn kernel:  entry_SYSCALL_64_after_hwframe+0x42/0xb7
Apr 09 12:20:09 saturn kernel: RIP: 0033:0x7f164a6fa919
Apr 09 12:20:09 saturn kernel: RSP: 002b:00007fff39e7f2e8 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
Apr 09 12:20:09 saturn kernel: RAX: ffffffffffffffda RBX: 0000000000fc9340 RCX: 00007f164a6fa919
Apr 09 12:20:09 saturn kernel: RDX: 0000000000000000 RSI: 000000000041985b RDI: 0000000000000001
Apr 09 12:20:09 saturn kernel: RBP: 000000000041985b R08: 0000000000000000 R09: 0000000000fce320
Apr 09 12:20:09 saturn kernel: R10: 0000000000000001 R11: 0000000000000246 R12: 0000000000fc92d0
Apr 09 12:20:09 saturn kernel: R13: 0000000000000000 R14: 0000000000040000 R15: 0000000000000000
Apr 09 12:20:09 saturn kernel: iwlwifi 0000:06:00.0: Keep Warm allocation failed
Apr 09 12:20:09 saturn kernel: iwlwifi 0000:06:00.0: Unable to init nic
Apr 09 12:20:09 saturn kernel: iwlwifi 0000:06:00.0: Failed to start INIT ucode: -12
Apr 09 12:20:09 saturn kernel: iwlwifi 0000:06:00.0: Failed to run INIT ucode: -12
Apr 09 12:20:52 saturn kernel: BUG: unable to handle kernel paging request at ffffee0cc102a41c
Apr 09 12:20:52 saturn kernel: IP: __free_pages+0x5/0x20
Apr 09 12:20:52 saturn kernel: PGD 0 P4D 0 
Apr 09 12:20:52 saturn kernel: Oops: 0002 [#1] PREEMPT SMP PTI
Comment 1 Jiri Slaby 2018-04-09 11:17:53 UTC
> and attach the full kernel messages

Full really means full, i.e. whole output of dmesg.
Comment 2 Manfred Hollstein 2018-04-09 11:35:16 UTC
Created attachment 766443 [details]
Full dmesg output
Comment 3 Takashi Iwai 2018-04-10 11:31:35 UTC
Wow, that's an interesting error.  The fix patch is below.
Comment 4 Takashi Iwai 2018-04-10 11:32:20 UTC
Created attachment 766589 [details]
Fix patch
Comment 5 Takashi Iwai 2018-04-10 11:46:17 UTC
I'm building a test kernel in OBS home:tiwai:bnc1088658 repo.
Could you give it a try later?
Comment 6 Takashi Iwai 2018-04-10 15:19:51 UTC
FWIW, the build finished and published.
  http://download.opensuse.org/repositories/home:/tiwai:/bnc1088658/standard/
Comment 7 Manfred Hollstein 2018-04-10 16:16:07 UTC
(In reply to Takashi Iwai from comment #6)
> FWIW, the build finished and published.
>   http://download.opensuse.org/repositories/home:/tiwai:/bnc1088658/standard/

Thx, Takashi. The module loads normally again and the device is fully functional using your kernel.
Comment 8 Takashi Iwai 2018-04-12 12:21:05 UTC
The fix was merged to stable branch.
Comment 9 Bruno Friedmann 2018-04-15 16:41:04 UTC
I've seen this also with this device
02:00.0 Network controller [0280]: Intel Corporation Wireless 8260 [8086:24f3] (rev 3a)
        Subsystem: Intel Corporation Device [8086:0050]
        Flags: fast devsel, IRQ 17
        Memory at df600000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [40] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number a4-34-d9-ff-ff-10-e6-d6
        Capabilities: [14c] Latency Tolerance Reporting
        Capabilities: [154] L1 PM Substates
        Kernel modules: iwlwifi

[   15.122538] iwlwifi 0000:02:00.0: hwdev DMA mask = 0x0000000fffffffff, dev_addr = 0x0000000067d73000
[   15.122540] iwlwifi 0000:02:00.0: swiotlb: coherent allocation failed, size=4096
[   15.122542] CPU: 4 PID: 811 Comm: systemd-udevd Tainted: P           OE    4.16.0-1-default #1 openSUSE Tumbleweed (unreleased)
[   15.122542] Hardware name: Dell Inc. Precision 7510/0YH43H, BIOS 1.15.4 12/08/2017
[   15.122543] Call Trace:
[   15.122548]  dump_stack+0x85/0xc5
[   15.122551]  swiotlb_alloc_coherent+0x1b6/0x1d0
[   15.122563]  iwl_pcie_alloc_ict+0x7c/0xf0 [iwlwifi]
[   15.122572]  iwl_trans_pcie_alloc+0x7c4/0xc70 [iwlwifi]
[   15.122575]  ? __kernfs_new_node+0xa9/0x130
[   15.122582]  iwl_pci_probe+0x18/0x1b0 [iwlwifi]
[   15.122584]  local_pci_probe+0x42/0xa0
[   15.122585]  ? pci_match_device+0xde/0x110
[   15.122587]  pci_device_probe+0x125/0x190
[   15.122589]  driver_probe_device+0x30b/0x480
[   15.122591]  __driver_attach+0xb8/0xe0
[   15.122593]  ? driver_probe_device+0x480/0x480
[   15.122594]  ? driver_probe_device+0x480/0x480
[   15.122596]  bus_for_each_dev+0x65/0x90
[   15.122597]  bus_add_driver+0x161/0x260
[   15.122599]  ? 0xffffffffc1957000
[   15.122600]  driver_register+0x57/0xc0
[   15.122601]  ? 0xffffffffc1957000
[   15.122606]  iwl_pci_register_driver+0x20/0x40 [iwlwifi]
[   15.122608]  do_one_initcall+0x4e/0x192
[   15.122610]  ? __vunmap+0x6d/0xb0
[   15.122613]  do_init_module+0x5b/0x20a
[   15.122615]  load_module+0x19ad/0x1f30
[   15.122619]  ? SYSC_finit_module+0xb7/0xd0
[   15.122620]  SYSC_finit_module+0xb7/0xd0
[   15.122623]  do_syscall_64+0x76/0x140
[   15.122625]  entry_SYSCALL_64_after_hwframe+0x42/0xb7
[   15.122626] RIP: 0033:0x7f3aecb84529
[   15.122627] RSP: 002b:00007ffe7052a9e8 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
[   15.122628] RAX: ffffffffffffffda RBX: 000055d316244460 RCX: 00007f3aecb84529
[   15.122629] RDX: 0000000000000000 RSI: 00007f3aed4ea83d RDI: 000000000000000f
[   15.122629] RBP: 00007f3aed4ea83d R08: 0000000000000000 R09: 000055d316239550
[   15.122630] R10: 000000000000000f R11: 0000000000000246 R12: 0000000000020000
[   15.122631] R13: 000055d31624c910 R14: 0000000000000000 R15: 0000000003938700
[   15.124270] iwlwifi: probe of 0000:02:00.0 failed with error -12

(sorry tainted with nvidia, but this time it is not the faulty one ;-)
full dmesg attached.
Comment 10 Bruno Friedmann 2018-04-15 16:42:26 UTC
Created attachment 767182 [details]
Full dmesg (bogus)
Comment 11 Bruno Friedmann 2018-04-15 17:04:17 UTC
Tested 4.16.2 from Takashi home and iwl work again normally.
Thanks